Subject: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

From: martin rudalics <[email-masked]>
Date: Mon, 21 Dec 2020 16:33:07 +0100

> It is working for Emacs child frames. (frame-position) returns correct
 > values, and `left` and `top` can be modified by modify-frame-parameters
 > to move the child frame.

OK.  Sooner or later we need a full list of functionalities that rely on
frame positioning and may not work with pgtk.  I suppose we have Emacs'
native tooltips there (which we could then base on child frames), the
speedbar (no idea for that) and all sorts of position parameters set up
in ediff-wind.el.  Could you have a cursory look?  If some "initial"
positioning works for such frames and maybe a repositioning after making
a frame temporarily invisible works too, we might have additional means
to handle these cases.  If anyone else sees a need for repositioning
frames on screen, please add it to that list.

Thanks, martin